Index: src/viewer/canvas.py
===================================================================
--- src/viewer/canvas.py	(revision 9c2015434bf7d916d73bb607d21cbed47c284c37)
+++ src/viewer/canvas.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,24 +1,47 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 # for pyqt4
+
 from PyQt4 import QtCore, QtGui
 from PyQt4 import Qt
 
 # for 2d plot
+
 import matplotlib
 from matplotlib.backends.backend_qt4agg import FigureCanvasQTAgg as FigureCanvas
 from matplotlib.figure import Figure
 
+
 class CSNSCanvas(FigureCanvas):
-    def __init__(self, parent=None, width=3, height=2, dpi=150):
-        self.fig=Figure(figsize=(width, height), dpi=dpi, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=False)
-        self.ax=self.fig.add_subplot(111)
+
+    def __init__(
+        self,
+        parent=None,
+        width=3,
+        height=2,
+        dpi=150,
+        ):
+        self.fig = Figure(
+            figsize=(width, height),
+            dpi=dpi,
+            facecolor='white',
+            edgecolor=None,
+            linewidth=1.0,
+            frameon=False,
+            tight_layout=False,
+            )
+        self.ax = self.fig.add_subplot(111)
         self.ax.tick_params(axis='both', which='major', labelsize=5)
-        self.xtitle=""
-        self.ytitle=""
-        self.PlotTitle=""
-        self.grid_status=True
-        self.xaxis_style='linear'
-        self.yaxis_style='linear'
+        self.xtitle = ''
+        self.ytitle = ''
+        self.PlotTitle = ''
+        self.grid_status = True
+        self.xaxis_style = 'linear'
+        self.yaxis_style = 'linear'
         self.ax.hold(True)
         FigureCanvas.__init__(self, self.fig)
-        FigureCanvas.setSizePolicy(self,QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
+        FigureCanvas.setSizePolicy(self, QtGui.QSizePolicy.Expanding,
+                                   QtGui.QSizePolicy.Expanding)
         FigureCanvas.updateGeometry(self)
+
+
Index: src/viewer/chopper.py
===================================================================
--- src/viewer/chopper.py	(revision 2b41ffeb36a5e52980441e46fafca007f1479f36)
+++ src/viewer/chopper.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,2 +1,7 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
+
+# configure
+
 '''
 Created on 2015.9.25
@@ -6,8 +11,8 @@
 '''
 
-#configure
 from conf import *
 
-#user defined
+# user defined
+
 from model.readData import *
 from model.chopperModel import *
@@ -16,4 +21,5 @@
 import random
 
+
 class CSNSChopperPage(QtGui.QWidget):
 
@@ -22,8 +28,9 @@
         self.setupUi(self)
 
-    def setupUi(self,QWidget):
+    def setupUi(self, QWidget):
         self.horizontalLayout = QtGui.QHBoxLayout(self)
 
         # chopper tab control
+
         self.first = QtGui.QFrame(self)
         self.first.setFrameShape(QtGui.QFrame.StyledPanel)
@@ -33,85 +40,183 @@
 
         # left grid
+
         self.mainGrid = QtGui.QGridLayout(self.first)
 
         # left grid label
-        self.timeframeLabel = QtGui.QLabel("Time Frame")
+
+        self.timeframeLabel = QtGui.QLabel('Time Frame')
 
         # canvas for time frame
-        self.timeframeFigure = Figure((8,4), dpi=150, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=True)
+
+        self.timeframeFigure = Figure(
+            (8, 4),
+            dpi=150,
+            facecolor='white',
+            edgecolor=None,
+            linewidth=1.0,
+            frameon=False,
+            tight_layout=True,
+            )
         self.timeframeCanvas = FigureCanvas(self.timeframeFigure)
         self.timeframeCanvas.setParent(self.first)
         self.timeframeAxes = self.timeframeFigure.add_subplot(111)
-        #self.timeframeFigure.subplots_adjust(left=0.05,bottom=0.10,right=0.95,top=0.95)
-        self.timeframeAxes.tick_params(axis='both', which='major', labelsize=5)
-        self.timeframeAxes.set_xlabel('Time of Flight (ms)',fontsize=9,x=1,y=1)
+
+        # self.timeframeFigure.subplots_adjust(left=0.05,bottom=0.10,right=0.95,top=0.95)
+
+        self.timeframeAxes.tick_params(axis='both', which='major',
+                labelsize=5)
+        self.timeframeAxes.set_xlabel('Time of Flight (ms)',
+                fontsize=9, x=1, y=1)
         self.timeframeAxes.get_yaxis().set_visible(False)
-        self.timeframeAxes.set_ylabel("Distance (m)",fontsize=5)
+        self.timeframeAxes.set_ylabel('Distance (m)', fontsize=5)
         self.timeframeCanvas.draw()
 
         # canvas bottom
-        self.wavelengthLabel = QtGui.QLabel("Wavelenght: ")
-        self.toLabel =  QtGui.QLabel(" - ")
-
-        self.waveminTextEdit=QtGui.QTextEdit("0.1")
+
+        self.wavelengthLabel = QtGui.QLabel('Wavelenght: ')
+        self.toLabel = QtGui.QLabel(' - ')
+
+        self.waveminTextEdit = QtGui.QTextEdit('0.1')
         self.waveminTextEdit.setReadOnly(True)
         self.waveminTextEdit.setMaximumHeight(CSNStextMaximumHeight)
-        self.wavemaxTextEdit=QtGui.QTextEdit("4.0")
+        self.wavemaxTextEdit = QtGui.QTextEdit('4.0')
         self.wavemaxTextEdit.setReadOnly(True)
         self.wavemaxTextEdit.setMaximumHeight(CSNStextMaximumHeight)
 
         # canvas for monitor 1
-        self.monitor1Figure = Figure((4,4), dpi=150, facecolor="white", edgecolor=None, linewidth=1.0, frameon=False, tight_layout=False)
+
+        self.monitor1Figure = Figure(
+            (4, 4),
+            dpi=150,
+            facecolor='white',
+            edgecolor=None,
+            linewidth=1.0,
+            frameon=False,
+            tight_layout=False,
+            )
         self.monitor1Canvas = FigureCanvas(self.monitor1Figure)
         self.monitor1Canvas.setParent(self.first)
         self.monitor1Axes = self.monitor1Figure.add_subplot(111)
-        self.monitor1Axes.tick_params(axis='both', which='major', labelsize=5)
-	self.monitor1Axes.set_xlim(0,20)
-
-        self.monitor1Axes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'))
-        nmoderator, dataModerator=CSNSRead2DData("./dat/DPHM.dat")
-        wavemin=1.0
-        wavemax=5.0
-        imin=min(dataModerator[0], key=lambda x:abs(x-wavemin))
-        imax=min(dataModerator[0], key=lambda x:abs(x-wavemax))
-        imin=dataModerator[0].index(imin)
-        imax=dataModerator[0].index(imax)
-        self.monitor1Axes.plot(dataModerator[0],np.array(dataModerator[1])/1E5,color='red')
-        self.monitor1Axes.vlines(dataModerator[0][imin:imax],0,np.array(dataModerator[1][imin:imax])/1E5,color='yellow')
-        self.monitor1Figure.subplots_adjust(left=0.2,bottom=0.20,right=0.95,top=0.95)
-        self.monitor1Axes.set_xlabel("(m)",fontsize=5)
-        self.monitor1Axes.set_ylabel("(m)",fontsize=5)
+        self.monitor1Axes.tick_params(axis='both', which='major',
+                labelsize=5)
+        self.monitor1Axes.set_xlim(0, 20)
+
+        self.monitor1Axes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'
+                ))
+        (nmoderator, dataModerator) = CSNSRead2DData('./dat/DPHM.dat')
+        wavemin = 1.0
+        wavemax = 5.0
+        imin = min(dataModerator[0], key=lambda x: abs(x - wavemin))
+        imax = min(dataModerator[0], key=lambda x: abs(x - wavemax))
+        imin = dataModerator[0].index(imin)
+        imax = dataModerator[0].index(imax)
+        self.monitor1Axes.plot(dataModerator[0],
+                               np.array(dataModerator[1]) / 1E5,
+                               color='red')
+        self.monitor1Axes.vlines((dataModerator[0])[imin:imax], 0,
+                                 np.array((dataModerator[1])[imin:imax])
+                                 / 1E5, color='yellow')
+        self.monitor1Figure.subplots_adjust(left=0.20, bottom=0.20,
+                right=0.95, top=0.95)
+        self.monitor1Axes.set_xlabel('(m)', fontsize=5)
+        self.monitor1Axes.set_ylabel('(m)', fontsize=5)
         self.monitor1Canvas.draw()
-        
+
         # canvas for monitor 2
-        self.monitor2Canvas= CSNSCanvas(self,4,4)
+
+        self.monitor2Canvas = CSNSCanvas(self, 4, 4)
+
         # read monitor data
-        #self.monitor2Axes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'))
-        nmonitor, dataMonitor=CSNSRead2DData("./dat/monitor.dat")
-        self.monitor2Canvas.ax.plot(dataMonitor[0],dataMonitor[1],color='green', zorder=1)
-        self.rect = Rectangle((0,0), 0, 0, facecolor='None', edgecolor='black', alpha=0.8,zorder=2)
+        # self.monitor2Axes.yaxis.set_major_formatter(ticker.FormatStrFormatter('%3.1E'))
+
+        (nmonitor, dataMonitor) = CSNSRead2DData('./dat/monitor.dat')
+        self.monitor2Canvas.ax.plot(dataMonitor[0], dataMonitor[1],
+                                    color='green', zorder=1)
+        self.rect = Rectangle(
+            (0, 0),
+            0,
+            0,
+            facecolor='None',
+            edgecolor='black',
+            alpha=0.8,
+            zorder=2,
+            )
         self.monitor2Canvas.ax.add_patch(self.rect)
-        self.monitor2Canvas.fig.subplots_adjust(left=0.2,bottom=0.20,right=0.95,top=0.95)
-        self.monitor2Canvas.ax.set_xlabel("(m)",fontsize=5)
-        self.monitor2Canvas.ax.set_ylabel("(m)",fontsize=5)
+        self.monitor2Canvas.fig.subplots_adjust(left=0.20, bottom=0.20,
+                right=0.95, top=0.95)
+        self.monitor2Canvas.ax.set_xlabel('(m)', fontsize=5)
+        self.monitor2Canvas.ax.set_ylabel('(m)', fontsize=5)
         self.monitor2Canvas.draw()
         self.zoomEvents()
 
-        self.parameterWidget= QtGui.QWidget(self.first)
+        self.parameterWidget = QtGui.QWidget(self.first)
         self.parameterGrid = QtGui.QGridLayout(self.parameterWidget)
-        self.parameterGrid.addWidget(self.wavelengthLabel,0,0,1,1,QtCore.Qt.AlignLeft)
-        self.parameterGrid.addWidget(self.waveminTextEdit,0,1,1,1,QtCore.Qt.AlignLeft)
-        self.parameterGrid.addWidget(self.toLabel,0,2,1,1,QtCore.Qt.AlignLeft)
-        self.parameterGrid.addWidget(self.wavemaxTextEdit,0,3,1,1,QtCore.Qt.AlignLeft)
-
-        self.mainGrid.addWidget(self.timeframeLabel,0,0,1,1)#,QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.timeframeCanvas,1,0,1,2,QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.monitor1Canvas,2,0,1,1,QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.monitor2Canvas,2,1,1,1,QtCore.Qt.AlignCenter)
-        self.mainGrid.addWidget(self.parameterWidget,3,0,1,2,QtCore.Qt.AlignCenter)
-
-        '''
-        Window for right panel
-        '''
+        self.parameterGrid.addWidget(
+            self.wavelengthLabel,
+            0,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        self.parameterGrid.addWidget(
+            self.waveminTextEdit,
+            0,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        self.parameterGrid.addWidget(
+            self.toLabel,
+            0,
+            2,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        self.parameterGrid.addWidget(
+            self.wavemaxTextEdit,
+            0,
+            3,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+
+        self.mainGrid.addWidget(self.timeframeLabel, 0, 0, 1, 1)  # ,QtCore.Qt.AlignCenter)
+        self.mainGrid.addWidget(
+            self.timeframeCanvas,
+            1,
+            0,
+            1,
+            2,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.monitor1Canvas,
+            2,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.monitor2Canvas,
+            2,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignCenter,
+            )
+        self.mainGrid.addWidget(
+            self.parameterWidget,
+            3,
+            0,
+            1,
+            2,
+            QtCore.Qt.AlignCenter,
+            )
+
         self.second = QtGui.QFrame(self)
         self.second.setFrameShape(QtGui.QFrame.StyledPanel)
@@ -123,18 +228,21 @@
 
         # for DC1
-        self.dc1Label = QtGui.QLabel("<font color=red>DC1</font>", self.second)
-
-        self.dc1FrequencyLabel = QtGui.QLabel("Frequency", self.second)
+
+        self.dc1Label = QtGui.QLabel('<font color=red>DC1</font>',
+                self.second)
+
+        self.dc1FrequencyLabel = QtGui.QLabel('Frequency', self.second)
 
         self.dc1FrequencyComboBox = QtGui.QComboBox(self.second)
-        self.dc1FrequencyComboBox.addItem("25")
-        self.dc1FrequencyComboBox.addItem("25/2")
-        self.dc1FrequencyComboBox.addItem("25/3")
-        self.dc1FrequencyComboBox.addItem("25/4")
-        self.dc1FrequencyComboBox.addItem("25/5")
-        self.dc1FrequencyComboBox.addItem("0")
-        self.dc1FrequencyComboBox.setSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
-
-        self.dc1PhaseLabel = QtGui.QLabel("Phase", self.second)
+        self.dc1FrequencyComboBox.addItem('25')
+        self.dc1FrequencyComboBox.addItem('25/2')
+        self.dc1FrequencyComboBox.addItem('25/3')
+        self.dc1FrequencyComboBox.addItem('25/4')
+        self.dc1FrequencyComboBox.addItem('25/5')
+        self.dc1FrequencyComboBox.addItem('0')
+        self.dc1FrequencyComboBox.setSizePolicy(QtGui.QSizePolicy.Expanding,
+                QtGui.QSizePolicy.Fixed)
+
+        self.dc1PhaseLabel = QtGui.QLabel('Phase', self.second)
 
         self.dc1PhaseSpinBox = QtGui.QSpinBox(self.second)
@@ -143,17 +251,19 @@
 
         # for DC2
-        self.dc2Label = QtGui.QLabel("<font color=red>DC2</font>", self.second)
-
-        self.dc2FrequencyLabel = QtGui.QLabel("Frequency", self.second)
+
+        self.dc2Label = QtGui.QLabel('<font color=red>DC2</font>',
+                self.second)
+
+        self.dc2FrequencyLabel = QtGui.QLabel('Frequency', self.second)
 
         self.dc2FrequencyComboBox = QtGui.QComboBox(self.second)
-        self.dc2FrequencyComboBox.addItem("25")
-        self.dc2FrequencyComboBox.addItem("25/2")
-        self.dc2FrequencyComboBox.addItem("25/3")
-        self.dc2FrequencyComboBox.addItem("25/4")
-        self.dc2FrequencyComboBox.addItem("25/5")
-        self.dc2FrequencyComboBox.addItem("0")
-
-        self.dc2PhaseLabel = QtGui.QLabel("Phase", self.second)
+        self.dc2FrequencyComboBox.addItem('25')
+        self.dc2FrequencyComboBox.addItem('25/2')
+        self.dc2FrequencyComboBox.addItem('25/3')
+        self.dc2FrequencyComboBox.addItem('25/4')
+        self.dc2FrequencyComboBox.addItem('25/5')
+        self.dc2FrequencyComboBox.addItem('0')
+
+        self.dc2PhaseLabel = QtGui.QLabel('Phase', self.second)
 
         self.dc2PhaseSpinBox = QtGui.QSpinBox(self.second)
@@ -162,17 +272,19 @@
 
         # for DC3
-        self.dc3Label = QtGui.QLabel("<font color=red>DC3</font>", self.second)
-
-        self.dc3FrequencyLabel = QtGui.QLabel("Frequency", self.second)
+
+        self.dc3Label = QtGui.QLabel('<font color=red>DC3</font>',
+                self.second)
+
+        self.dc3FrequencyLabel = QtGui.QLabel('Frequency', self.second)
 
         self.dc3FrequencyComboBox = QtGui.QComboBox(self.second)
-        self.dc3FrequencyComboBox.addItem("0")
-        self.dc3FrequencyComboBox.addItem("25")
-        self.dc3FrequencyComboBox.addItem("25/2")
-        self.dc3FrequencyComboBox.addItem("25/3")
-        self.dc3FrequencyComboBox.addItem("25/4")
-        self.dc3FrequencyComboBox.addItem("25/5")
-
-        self.dc3PhaseLabel = QtGui.QLabel("Phase", self.second)
+        self.dc3FrequencyComboBox.addItem('0')
+        self.dc3FrequencyComboBox.addItem('25')
+        self.dc3FrequencyComboBox.addItem('25/2')
+        self.dc3FrequencyComboBox.addItem('25/3')
+        self.dc3FrequencyComboBox.addItem('25/4')
+        self.dc3FrequencyComboBox.addItem('25/5')
+
+        self.dc3PhaseLabel = QtGui.QLabel('Phase', self.second)
 
         self.dc3PhaseSpinBox = QtGui.QSpinBox(self.second)
@@ -181,50 +293,127 @@
 
         # for button
-        self.cancelButton = QtGui.QPushButton("Reset",self.second)
-        self.okButton = QtGui.QPushButton("OK",self.second)
-
-        '''
-        # add QVBox
-        '''
-        nrow=-1
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc1Label, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc1FrequencyLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc1FrequencyComboBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc1PhaseLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
+
+        self.cancelButton = QtGui.QPushButton('Reset', self.second)
+        self.okButton = QtGui.QPushButton('OK', self.second)
+
+        nrow = -1
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc1Label,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc1FrequencyLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(self.dc1FrequencyComboBox, nrow, 0, 1,
+                                 2)
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc1PhaseLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
         self.rightGrid.addWidget(self.dc1PhaseSpinBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc2Label, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc2FrequencyLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc2FrequencyComboBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc2PhaseLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc2Label,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc2FrequencyLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(self.dc2FrequencyComboBox, nrow, 0, 1,
+                                 2)
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc2PhaseLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
         self.rightGrid.addWidget(self.dc2PhaseSpinBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc3Label, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc3FrequencyLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc3FrequencyComboBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.dc3PhaseLabel, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc3Label,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc3FrequencyLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addWidget(self.dc3FrequencyComboBox, nrow, 0, 1,
+                                 2)
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.dc3PhaseLabel,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
         self.rightGrid.addWidget(self.dc3PhaseSpinBox, nrow, 0, 1, 2)
-        nrow=nrow+1
-        self.rightGrid.addWidget(self.cancelButton, nrow,0, 1, 1, QtCore.Qt.AlignLeft)
-        self.rightGrid.addWidget(self.okButton, nrow,1, 1, 1, QtCore.Qt.AlignLeft)
-        nrow=nrow+1
-        self.rightGrid.addItem(QtGui.QSpacerItem(-1, -1, QtGui.QSizePolicy.Ignored, QtGui.QSizePolicy.Expanding), nrow, 0)
-
-        '''
-        # add QSplitter
-        '''
+        nrow = nrow + 1
+        self.rightGrid.addWidget(
+            self.cancelButton,
+            nrow,
+            0,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        self.rightGrid.addWidget(
+            self.okButton,
+            nrow,
+            1,
+            1,
+            1,
+            QtCore.Qt.AlignLeft,
+            )
+        nrow = nrow + 1
+        self.rightGrid.addItem(QtGui.QSpacerItem(-1, -1,
+                               QtGui.QSizePolicy.Ignored,
+                               QtGui.QSizePolicy.Expanding), nrow, 0)
+
         self.splitter = QtGui.QSplitter(QtCore.Qt.Horizontal)
         self.splitter.addWidget(self.scrollAreaLeft)
@@ -233,46 +422,60 @@
         self.horizontalLayout.addWidget(self.splitter)
 
-    def updateTimeFrame(self, pulseList, chopperList, timeList, xList, yList):
+    def updateTimeFrame(
+        self,
+        pulseList,
+        chopperList,
+        timeList,
+        xList,
+        yList,
+        ):
         self.timeframeAxes.clear()
-        self.timeframeAxes.YTick=chopperList
-
-        _x=pulseList[0]-(pulseList[1]-pulseList[0])/6.0
-        self.timeframeAxes.text(_x, chopperList[1], 'DC1',   fontsize=5)
-        self.timeframeAxes.text(_x, chopperList[2], 'DC2',   fontsize=5)
-        self.timeframeAxes.text(_x, chopperList[3], 'DC3',   fontsize=5)
-        self.timeframeAxes.text(_x, chopperList[4], 'Sample',fontsize=5)
-
-        for i in range(1,len(timeList)):
-            for j in range(0,len(timeList[i]),2):
-                self.timeframeAxes.plot( (timeList[i][j], timeList[i][j+1]), (chopperList[i],chopperList[i]), color='black')
-
-        for i in range(0,len(xList)):
-            _R=random.uniform(0,1)
-            _G=random.uniform(0,1)
-            _B=random.uniform(0,1)
-            self.timeframeAxes.plot( xList[i], yList, color=[_R, _G, _B])
-
-        self.timeframeAxes.set_xlim((pulseList[0],pulseList[-1]))
+        self.timeframeAxes.YTick = chopperList
+
+        _x = pulseList[0] - (pulseList[1] - pulseList[0]) / 6.0
+        self.timeframeAxes.text(_x, chopperList[1], 'DC1', fontsize=5)
+        self.timeframeAxes.text(_x, chopperList[2], 'DC2', fontsize=5)
+        self.timeframeAxes.text(_x, chopperList[3], 'DC3', fontsize=5)
+        self.timeframeAxes.text(_x, chopperList[4], 'Sample',
+                                fontsize=5)
+
+        for i in range(1, len(timeList)):
+            for j in range(0, len(timeList[i]), 2):
+                self.timeframeAxes.plot((timeList[i][j], timeList[i][j
+                        + 1]), (chopperList[i], chopperList[i]),
+                        color='black')
+
+        for i in range(0, len(xList)):
+            _R = random.uniform(0, 1)
+            _G = random.uniform(0, 1)
+            _B = random.uniform(0, 1)
+            self.timeframeAxes.plot(xList[i], yList, color=[_R, _G, _B])
+
+        self.timeframeAxes.set_xlim((pulseList[0], pulseList[-1]))
 
         self.timeframeCanvas.draw()
 
     def zoomEvents(self):
-        self.monitor2Canvas.mpl_connect('button_press_event',   self.zoomFigurePress)
-        self.monitor2Canvas.mpl_connect('button_release_event', self.zoomFigureRelease)
-        self.monitor2Canvas.mpl_connect('motion_notify_event',  self.zoomFigureMove)
-
-    def zoomFigurePress(self,event):
-        if event.button==1:
-            self.zoomClick=True
+        self.monitor2Canvas.mpl_connect('button_press_event',
+                self.zoomFigurePress)
+        self.monitor2Canvas.mpl_connect('button_release_event',
+                self.zoomFigureRelease)
+        self.monitor2Canvas.mpl_connect('motion_notify_event',
+                self.zoomFigureMove)
+
+    def zoomFigurePress(self, event):
+        if event.button == 1:
+            self.zoomClick = True
             self.x0 = event.xdata
             self.y0 = event.ydata
-        elif event.button==3:
+        elif event.button == 3:
             self.monitor2Canvas.ax.autoscale(enable=True)
             self.monitor2Canvas.draw()
-        else:    
+        else:
             return
 
     def zoomFigureMove(self, event):
-        if event.button==1 and self.zoomClick==True and self.x0 and self.y0 and event.xdata and event.ydata:
+        if event.button == 1 and self.zoomClick == True and self.x0 \
+            and self.y0 and event.xdata and event.ydata:
 
             self.rect.set_width(event.xdata - self.x0)
@@ -284,7 +487,8 @@
 
     def zoomFigureRelease(self, event):
-        self.zoomClick=False
-
-        if event.button==1 and self.x0 and self.y0 and event.xdata and event.ydata:
+        self.zoomClick = False
+
+        if event.button == 1 and self.x0 and self.y0 and event.xdata \
+            and event.ydata:
             self.x1 = event.xdata
             self.y1 = event.ydata
@@ -293,11 +497,13 @@
             self.rect.set_height(0)
 
-            _min=min(self.x0,self.x1)
-            _max=max(self.x0,self.x1)
+            _min = min(self.x0, self.x1)
+            _max = max(self.x0, self.x1)
             self.monitor2Canvas.ax.set_xlim(_min, _max)
-            _min=min(self.y0,self.y1)
-            _max=max(self.y0,self.y1)
+            _min = min(self.y0, self.y1)
+            _max = max(self.y0, self.y1)
             self.monitor2Canvas.ax.set_ylim(_min, _max)
             self.monitor2Canvas.draw()
         else:
             return
+
+
Index: src/viewer/guishell.py
===================================================================
--- src/viewer/guishell.py	(revision f491a953c1e81994ded21373b67caa98f38cc5b9)
+++ src/viewer/guishell.py	(revision 29a7166d69a034de6b1fb3bc3411d1fa34109be2)
@@ -1,22 +1,38 @@
+#!/usr/bin/python
+# -*- coding: utf-8 -*-
 # Set the QT API to PyQt4
+
 import os
 os.environ['QT_API'] = 'pyqt'
 import sip
-#sip.setapi("QString", 2)
-#sip.setapi("QVariant", 2)
-#from PyQt4.QtGui  import *
+
+# sip.setapi("QString", 2)
+# sip.setapi("QVariant", 2)
+# from PyQt4.QtGui  import *
+
 from PyQt4 import QtCore, QtGui
 from PyQt4.QtGui import QWidget
+
 # Import the console machinery from ipython
+
 from qtconsole.rich_jupyter_widget import RichJupyterWidget
 from qtconsole.inprocess import QtInProcessKernelManager
 from IPython.lib import guisupport
 
+
 class QIPythonWidget(RichJupyterWidget):
+
     """ Convenience class for a live IPython console widget. We can replace the standard banner using the customBanner argument"""
-    def __init__(self,customBanner=None,*args,**kwargs):
-        if customBanner!=None: self.banner=customBanner
-        super(QIPythonWidget, self).__init__(*args,**kwargs)
-        
+
+    def __init__(
+        self,
+        customBanner=None,
+        *args,
+        **kwargs
+        ):
+        if customBanner != None:
+            self.banner = customBanner
+        super(QIPythonWidget, self).__init__(*args, **kwargs)
+
         kernel_manager = QtInProcessKernelManager()
         self.kernel_manager = kernel_manager
@@ -37,29 +53,42 @@
             kernel_client.stop_channels()
             kernel_manager.shutdown_kernel()
-            guisupport.get_app_qt4().exit()            
+            guisupport.get_app_qt4().exit()
 
         self.exit_requested.connect(stop)
 
-    def pushVariables(self,variableDict):
+    def pushVariables(self, variableDict):
         """ Given a dictionary containing name / value pairs, push those variables to the IPython console widget """
+
         self.kernel_manager.kernel.shell.push(variableDict)
+
     def clearTerminal(self):
         """ Clears the terminal """
-        self._control.clear()    
-    def printText(self,text):
+
+        self._control.clear()
+
+    def printText(self, text):
         """ Prints some plain text to the console """
-        self._append_plain_text(text)        
-    def executeCommand(self,command):
+
+        self._append_plain_text(text)
+
+    def executeCommand(self, command):
         """ Execute a command in the frame of the console widget """
-        self._execute(command,False)
+
+        self._execute(command, False)
 
 
 class ConsoleWidget(QWidget):
+
     """ Main GUI Widget including a button and IPython Console widget inside vertical layout """
+
     def __init__(self, parent=None):
         super(ConsoleWidget, self).__init__(parent)
         layout = QtGui.QVBoxLayout(self)
-        guiconsole = QIPythonWidget(customBanner="Welcome to CSNS GPPD console (Lili YAN)!\n")
+        guiconsole = \
+            QIPythonWidget(customBanner='Welcome to CSNS GPPD console (Lili YAN)!\n'
+                           )
         guiconsole.set_default_style(colors='linux')
-        layout.addWidget(guiconsole)        
+        layout.addWidget(guiconsole)
+
+
         # This allows the variable foo and method print_process_id to be accessed from the ipython console
